Loading...
Searching...
No Matches
SimpleVLA< T, N > Class Template Referencefinal

`#include <kmp_utils.h>`

## Detailed Description

template<typename T, unsigned N = 8>
class SimpleVLA< T, N >

A simple pure header implementation of VLA that aims to replace uses of actual VLA, which can cause compile warning. This class by default creates a stack buffer that can accomodate `N` elements. If the number of elements is greater than `N`, then a heap buffer will be allocated and used to accomodate the elements. Similar to the actual VLA, we don't check boundary (for now), so we will not store the number of elements. We can always revise it later.

Definition at line 26 of file kmp_utils.h.

The documentation for this class was generated from the following file:

- kmp_utils.h